<div
  class="m-snackbar"
  [ngClass]="{
    '-blue': config.theme === 'blue',
    '-purple': config.theme === 'purple',
    '-green': config.theme === 'green',
    '-orange': config.theme === 'orange',
    '-success': config.theme === 'success',
    '-error': config.theme === 'error',
    '-warning': config.theme === 'warning'
  }"
  @myInsertRemoveTrigger
>
  <span class="m-snackbar__content">
    <mat-icon>{{ typeMap.get(config.type) }}</mat-icon> {{ data.message }}
  </span>
  <button class="a-neutral-button -no-hover" (click)="onClose()">
    <mat-icon>clear</mat-icon>
  </button>
</div>
